Create lego-like solid pieces for assembly  Topic is solved

Get 3D Printing support, tips and tricks for SketchUp

Moderators: d12dozr, dukejazz

Create lego-like solid pieces for assembly

Postby Guillo_Ortiz » Tue Jan 03, 2017 10:27 pm

Hi!

I'm attempting to make a split model for 3d printing and I'd like it to have joints to get a firm grip when assembled (like a lego).

This is what I have:



Does anyone know of a plugin or a way to get this done?

Thanks!
0
User avatar
Guillo_Ortiz 
 

Re: Create lego-like solid pieces for assembly

Postby Rich O Brien » Tue Jan 03, 2017 11:20 pm

Do you have an idea of the joint type you'll use?
0
There's a frontroom and a backroom....reverse faces
User avatar
Rich O Brien 
Administrator
 

Re: Create lego-like solid pieces for assembly  Topic is solved

Postby sdmitch » Tue Jan 03, 2017 11:26 pm

Guillo_Ortiz wrote:Hi!

I'm attempting to make a split model for 3d printing and I'd like it to have joints to get a firm grip when assembled (like a lego).

This is what I have:



Does anyone know of a plugin or a way to get this done?

Thanks!


Here is a start. You will need to change the values to suit your situation.
Code: Select all
unless file_loaded?((__FILE__))
   UI.add_context_menu_handler do |menu|
      sel = Sketchup.active_model.selection
      if sel.first.is_a?(Sketchup::Face)
         menu.add_separator
         menu.add_item('Dimple') {
            face = sel.first; ctr = face.bounds.center; nrm = face.normal
            cir = Sketchup.active_model.active_entities.add_circle(ctr,nrm,0.125,12)
            pts = cir.map{|e|e.vertices}.flatten.uniq.map{|v|v.position}
            fac = Sketchup.active_model.active_entities.add_face(pts)
            fac.pushpull -0.25 if fac
         }
         menu.add_item('Pimple') {
            face = sel.first; ctr = face.bounds.center; nrm = face.normal
            cir = Sketchup.active_model.active_entities.add_circle(ctr,nrm,0.125,12)
            pts = cir.map{|e|e.vertices}.flatten.uniq.map{|v|v.position}
            fac = Sketchup.active_model.active_entities.add_face(pts)
            fac.pushpull  0.25 if fac
         }
      end
   end
   file_loaded((__FILE__))
end
1
Nothing is worthless, it can always be used as a bad example.

http://sdmitch.blogspot.com/
User avatar
sdmitch 
PluginStore Author
PluginStore Author
 

Re: Create lego-like solid pieces for assembly

Postby Guillo_Ortiz » Tue Jan 03, 2017 11:31 pm

Rich O Brien wrote:Do you have an idea of the joint type you'll use?


Not really, any type will do.
0
User avatar
Guillo_Ortiz 
 

Re: Create lego-like solid pieces for assembly

Postby Guillo_Ortiz » Wed Jan 04, 2017 12:05 am

sdmitch wrote:
Guillo_Ortiz wrote:Hi!

I'm attempting to make a split model for 3d printing and I'd like it to have joints to get a firm grip when assembled (like a lego).

This is what I have:



Does anyone know of a plugin or a way to get this done?

Thanks!


Here is a start. You will need to change the values to suit your situation.
Code: Select all
unless file_loaded?((__FILE__))
   UI.add_context_menu_handler do |menu|
      sel = Sketchup.active_model.selection
      if sel.first.is_a?(Sketchup::Face)
         menu.add_separator
         menu.add_item('Dimple') {
            face = sel.first; ctr = face.bounds.center; nrm = face.normal
            cir = Sketchup.active_model.active_entities.add_circle(ctr,nrm,0.125,12)
            pts = cir.map{|e|e.vertices}.flatten.uniq.map{|v|v.position}
            fac = Sketchup.active_model.active_entities.add_face(pts)
            fac.pushpull -0.25 if fac
         }
         menu.add_item('Pimple') {
            face = sel.first; ctr = face.bounds.center; nrm = face.normal
            cir = Sketchup.active_model.active_entities.add_circle(ctr,nrm,0.125,12)
            pts = cir.map{|e|e.vertices}.flatten.uniq.map{|v|v.position}
            fac = Sketchup.active_model.active_entities.add_face(pts)
            fac.pushpull  0.25 if fac
         }
      end
   end
   file_loaded((__FILE__))
end


Thanks for the plugin! It's very close to the effect I'm looking for. BTW, how can I change the units to cm? I tried writing "cm" and " cm" after the number, but got an error.
0
User avatar
Guillo_Ortiz 
 

Re: Create lego-like solid pieces for assembly

Postby sdmitch » Wed Jan 04, 2017 1:54 am

Guillo_Ortiz wrote:
BTW, how can I change the units to cm? I tried writing "cm" and " cm" after the number, but got an error.


The syntax is ".cm", so 1.inch = 2.54.cm
0
Nothing is worthless, it can always be used as a bad example.

http://sdmitch.blogspot.com/
User avatar
sdmitch 
PluginStore Author
PluginStore Author
 

Re: Create lego-like solid pieces for assembly

Postby Guillo_Ortiz » Wed Jan 04, 2017 10:08 am

sdmitch wrote:
Guillo_Ortiz wrote:
BTW, how can I change the units to cm? I tried writing "cm" and " cm" after the number, but got an error.


The syntax is ".cm", so 1.inch = 2.54.cm


Thanks, sdmitch. In the end I used your method.

Thanks a lot!

0
User avatar
Guillo_Ortiz 
 

Re: Create lego-like solid pieces for assembly

Postby JQL » Wed Jan 04, 2017 10:15 am

That won't have a very firm grip as it will twist upon the joint's axis. You should have at least 2 pins per joint... It also seems very prone to detach from each other. Maybe you now should model from what Mitch gave you.
0
User avatar
JQL 
Premium Member
Premium Member
 

Re: Create lego-like solid pieces for assembly

Postby Guillo_Ortiz » Thu Jan 05, 2017 10:17 pm

JQL wrote:That won't have a very firm grip as it will twist upon the joint's axis. You should have at least 2 pins per joint... It also seems very prone to detach from each other. Maybe you now should model from what Mitch gave you.


Thanks, I will. I'm also going to use super glue to reinforce it.
0
User avatar
Guillo_Ortiz 
 

SketchUcation One-Liner Adverts

by Ad Machine » 5 minutes ago



Ad Machine 
Robot
 



 

Return to SketchUp for 3D Printing

Who is online

Users browsing this forum: No registered users and 2 guests

Visit our sponsors: